Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21502)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21514)
@@ -141,5 +141,5 @@
      */
     function addRowResult($line_count, $message) {
-        $this->arrRowResult[] = $line_count . "行目：" . $message;
+        $this->arrRowResult[] = $line_count . '行目：' . $message;
     }
 
@@ -152,5 +152,5 @@
      */
     function addRowErr($line_count, $message) {
-        $this->arrRowErr[] = $line_count . "行目：" . $message;
+        $this->arrRowErr[] = $line_count . '行目：' . $message;
     }
 
@@ -179,5 +179,5 @@
         // 失敗した場合はエラー表示
         if (!$fp) {
-             SC_Utils_Ex::sfDispError("");
+             SC_Utils_Ex::sfDispError('');
         }
 
@@ -223,5 +223,5 @@
             $col_count = count($arrCSV);
             if ($col_max_count != $col_count) {
-                $this->addRowErr($line_count, "※ 項目数が" . $col_count . "個検出されました。項目数は" . $col_max_count . "個になります。");
+                $this->addRowErr($line_count, '※ 項目数が' . $col_count . '個検出されました。項目数は' . $col_max_count . "個になります。");
                 $errFlag = true;
                 break;
@@ -249,5 +249,5 @@
                 $arrParam = $objFormParam->getHashArray();
 
-                $this->addRowResult($line_count, "商品ID：".$arrParam['product_id'] . " / 商品名：" . $arrParam['name']);
+                $this->addRowResult($line_count, '商品ID：'.$arrParam['product_id'] . " / 商品名：" . $arrParam['name']);
             }
             SC_Utils_Ex::extendTimeOut();
@@ -287,5 +287,5 @@
      */
     function lfInitFile(&$objUpFile) {
-        $objUpFile->addFile("CSVファイル", 'csv_file', array('csv'), CSV_SIZE, true, 0, 0, false);
+        $objUpFile->addFile('CSVファイル', 'csv_file', array('csv'), CSV_SIZE, true, 0, 0, false);
     }
 
@@ -317,5 +317,5 @@
             $arrErrorCheckTypes = explode(',', $error_check_types);
             foreach ($arrErrorCheckTypes as $key => $val) {
-                if (trim($val) == "") {
+                if (trim($val) == '') {
                     unset($arrErrorCheckTypes[$key]);
                 } else {
@@ -377,5 +377,5 @@
      * @return void
      */
-    function lfRegistProduct($objQuery, $line = "", &$objFormParam) {
+    function lfRegistProduct($objQuery, $line = '', &$objFormParam) {
         $objProduct = new SC_Product_Ex();
         // 登録データ対象取得
@@ -391,7 +391,7 @@
         $sqlval = $this->lfSetProductDefaultData($sqlval);
 
-        if ($sqlval['product_id'] != "") {
+        if ($sqlval['product_id'] != '') {
             // 同じidが存在すればupdate存在しなければinsert
-            $where = "product_id = ?";
+            $where = 'product_id = ?';
             $product_exists = $objQuery->exists('dtb_products', $where, array($sqlval['product_id']));
             if ($product_exists) {
@@ -454,5 +454,5 @@
         $sqlval = $this->lfSetProductClassDefaultData($sqlval);
 
-        if ($product_class_id == "") {
+        if ($product_class_id == '') {
             // 新規登録
             $sqlval['product_id'] = $product_id;
@@ -464,9 +464,9 @@
         } else {
             // UPDATEの実行
-            $where = "product_class_id = ?";
+            $where = 'product_class_id = ?';
             $objQuery->update('dtb_products_class', $sqlval, $where, array($product_class_id));
         }
         // 支払い方法登録
-        if ($arrList['product_payment_ids'] != "") {
+        if ($arrList['product_payment_ids'] != '') {
             $arrPayment_id = explode(',', $arrList['product_payment_ids']);
             $objProduct->setPaymentOptions($product_class_id, $arrPayment_id);
@@ -486,11 +486,11 @@
      */
     function lfRegistReccomendProducts($objQuery, $arrList, $product_id) {
-        $objQuery->delete('dtb_recommend_products', "product_id = ?", array($product_id));
+        $objQuery->delete('dtb_recommend_products', 'product_id = ?', array($product_id));
         for ($i = 1; $i <= RECOMMEND_PRODUCT_MAX; $i++) {
             $keyname = 'recommend_product_id' . $i;
             $comment_key = 'recommend_comment' . $i;
-            if ($arrList[$keyname] != "") {
+            if ($arrList[$keyname] != '') {
                 $arrProduct = $objQuery->select('product_id', 'dtb_products', "product_id = ?", array($arrList[$keyname]));
-                if ($arrProduct[0]['product_id'] != "") {
+                if ($arrProduct[0]['product_id'] != '') {
                     $arrval['product_id'] = $product_id;
                     $arrval['recommend_product_id'] = $arrProduct[0]['product_id'];
@@ -547,14 +547,14 @@
     function lfSetProductDefaultData(&$sqlval) {
         //新規登録時のみ設定する項目
-        if ($sqlval['product_id'] == "") {
-            if ($sqlval['status'] == "") {
+        if ($sqlval['product_id'] == '') {
+            if ($sqlval['status'] == '') {
                 $sqlval['status'] = DEFAULT_PRODUCT_DISP;
             }
         }
         //共通で空欄時に上書きする項目
-        if ($sqlval['del_flg'] == "") {
+        if ($sqlval['del_flg'] == '') {
             $sqlval['del_flg'] = '0'; //有効
         }
-        if ($sqlval['creator_id'] == "") {
+        if ($sqlval['creator_id'] == '') {
             $sqlval['creator_id'] = $_SESSION['member_id'];
         }
@@ -570,19 +570,19 @@
     function lfSetProductClassDefaultData(&$sqlval) {
         //新規登録時のみ設定する項目
-        if ($sqlval['product_class_id'] == "") {
-            if ($sqlval['point_rate'] == "") {
+        if ($sqlval['product_class_id'] == '') {
+            if ($sqlval['point_rate'] == '') {
                 $sqlval['point_rate'] = $this->arrInfo['point_rate'];
             }
-            if ($sqlval['product_type_id'] == "") {
+            if ($sqlval['product_type_id'] == '') {
                 $sqlval['product_type_id'] = DEFAULT_PRODUCT_DOWN;
             }
             // TODO: 在庫数、無制限フラグの扱いについて仕様がぶれているので要調整
-            if ($sqlval['stock'] == "" and $sqlval['stock_unlimited'] != UNLIMITED_FLG_UNLIMITED) {
+            if ($sqlval['stock'] == '' and $sqlval['stock_unlimited'] != UNLIMITED_FLG_UNLIMITED) {
                 //在庫数設定がされておらず、かつ無制限フラグが設定されていない場合、強制無制限
                 $sqlval['stock_unlimited'] = UNLIMITED_FLG_UNLIMITED;
-            } elseif ($sqlval['stock'] != "" and $sqlval['stock_unlimited'] != UNLIMITED_FLG_UNLIMITED) {
+            } elseif ($sqlval['stock'] != '' and $sqlval['stock_unlimited'] != UNLIMITED_FLG_UNLIMITED) {
                 //在庫数設定時は在庫無制限フラグをクリア
                 $sqlval['stock_unlimited'] = UNLIMITED_FLG_LIMITED;
-            } elseif ($sqlval['stock'] != "" and $sqlval['stock_unlimited'] == UNLIMITED_FLG_UNLIMITED) {
+            } elseif ($sqlval['stock'] != '' and $sqlval['stock_unlimited'] == UNLIMITED_FLG_UNLIMITED) {
                 //在庫無制限フラグ設定時は在庫数をクリア
                 $sqlval['stock'] = '';
@@ -595,8 +595,8 @@
         }
         //共通で設定する項目
-        if ($sqlval['del_flg'] == "") {
+        if ($sqlval['del_flg'] == '') {
             $sqlval['del_flg'] = '0'; //有効
         }
-        if ($sqlval['creator_id'] == "") {
+        if ($sqlval['creator_id'] == '') {
             $sqlval['creator_id'] = $_SESSION['member_id'];
         }
@@ -615,15 +615,15 @@
         // FIXME 規格分類ID自体のが有効かを主眼においたチェックをすべきと感じる。
         if (!$this->lfIsDbRecord('dtb_products_class', 'product_class_id', $item)) {
-            $arrErr['product_class_id'] = "※ 指定の商品規格IDは、登録されていません。";
+            $arrErr['product_class_id'] = '※ 指定の商品規格IDは、登録されていません。';
         }
         // 商品ID、規格IDの組合せチェック
         if(array_search('product_class_id', $this->arrFormKeyList) !== FALSE
-                and $item['product_class_id'] != "") {
-            if ($item['product_id'] == "") {
-                $arrErr['product_class_id'] = "※ 商品規格ID指定時には商品IDの指定が必須です。";
+                and $item['product_class_id'] != '') {
+            if ($item['product_id'] == '') {
+                $arrErr['product_class_id'] = '※ 商品規格ID指定時には商品IDの指定が必須です。';
             } else {
                 if(!$this->objDb->sfIsRecord('dtb_products_class', 'product_id, product_class_id'
                         , array($item['product_id'], $item['product_class_id']))) {
-                    $arrErr['product_class_id'] = "※ 指定の商品IDと商品規格IDの組合せは正しくありません。";
+                    $arrErr['product_class_id'] = '※ 指定の商品IDと商品規格IDの組合せは正しくありません。';
                 }
             }
@@ -631,22 +631,22 @@
         // 表示ステータスの存在チェック
         if (!$this->lfIsArrayRecord($this->arrDISP, 'status', $item)) {
-            $arrErr['status'] = "※ 指定の表示ステータスは、登録されていません。";
+            $arrErr['status'] = '※ 指定の表示ステータスは、登録されていません。';
         }
         // メーカーIDの存在チェック
         if (!$this->lfIsArrayRecord($this->arrMaker, 'maker_id', $item)) {
-            $arrErr['maker_id'] = "※ 指定のメーカーIDは、登録されていません。";
+            $arrErr['maker_id'] = '※ 指定のメーカーIDは、登録されていません。';
         }
         // 発送日目安IDの存在チェック
         if (!$this->lfIsArrayRecord($this->arrDELIVERYDATE, 'deliv_date_id', $item)) {
-            $arrErr['deliv_date_id'] = "※ 指定の発送日目安IDは、登録されていません。";
+            $arrErr['deliv_date_id'] = '※ 指定の発送日目安IDは、登録されていません。';
         }
         // 発送日目安IDの存在チェック
         if (!$this->lfIsArrayRecord($this->arrProductType, 'product_type_id', $item)) {
-            $arrErr['product_type_id'] = "※ 指定の商品種別IDは、登録されていません。";
+            $arrErr['product_type_id'] = '※ 指定の商品種別IDは、登録されていません。';
         }
         // 関連商品IDの存在チェック
         for ($i = 1; $i <= RECOMMEND_PRODUCT_MAX; $i++) {
             if(array_search('recommend_product_id' . $i, $this->arrFormKeyList) !== FALSE
-                    and $item['recommend_product_id' . $i] != ""
+                    and $item['recommend_product_id' . $i] != ''
                     and !$this->objDb->sfIsRecord('dtb_products', 'product_id', (array)$item['recommend_product_id' . $i])) {
                 $arrErr['recommend_product_id' . $i] = "※ 指定の関連商品ID($i)は、登録されていません。";
@@ -655,19 +655,19 @@
         // カテゴリIDの存在チェック
         if (!$this->lfIsDbRecordMulti('dtb_category', 'category_id', 'category_ids', $item, ',')) {
-            $arrErr['category_ids'] = "※ 指定のカテゴリIDは、登録されていません。";
+            $arrErr['category_ids'] = '※ 指定のカテゴリIDは、登録されていません。';
         }
         // 商品ステータスIDの存在チェック
         if (!$this->lfIsArrayRecordMulti($this->arrSTATUS, 'product_statuses', $item, ',')) {
-            $arrErr['product_statuses'] = "※ 指定の商品ステータスIDは、登録されていません。";
+            $arrErr['product_statuses'] = '※ 指定の商品ステータスIDは、登録されていません。';
         }
         // 支払い方法IDの存在チェック
         if (!$this->lfIsArrayRecordMulti($this->arrPayments, 'product_payment_ids', $item, ',')) {
-            $arrErr['product_payment_ids'] = "※ 指定の支払い方法IDは、登録されていません。";
+            $arrErr['product_payment_ids'] = '※ 指定の支払い方法IDは、登録されていません。';
         }
         // 削除フラグのチェック
         if(array_search('del_flg', $this->arrFormKeyList) !== FALSE
-                and $item['del_flg'] != "") {
+                and $item['del_flg'] != '') {
             if (!($item['del_flg'] == '0' or $item['del_flg'] == '1')) {
-                $arrErr['del_flg'] = "※ 削除フラグは「0」(有効)、「1」(削除)のみが有効な値です。";
+                $arrErr['del_flg'] = '※ 削除フラグは「0」(有効)、「1」(削除)のみが有効な値です。';
             }
         }
@@ -675,9 +675,9 @@
     TODO: 在庫数の扱いが2.4仕様ではぶれているのでどうするか・・
         // 在庫数/在庫無制限フラグの有効性に関するチェック
-        if ($item['stock'] == "") {
+        if ($item['stock'] == '') {
             if (array_search('stock_unlimited', $this->arrFormKeyList) === FALSE) {
-                $arrErr['stock'] = "※ 在庫数は必須です（無制限フラグ項目がある場合のみ空欄許可）。";
+                $arrErr['stock'] = '※ 在庫数は必須です（無制限フラグ項目がある場合のみ空欄許可）。';
             }else if ($item['stock_unlimited'] != UNLIMITED_FLG_UNLIMITED) {
-                $arrErr['stock'] = "※ 在庫数または在庫無制限フラグのいずれかの入力が必須です。";
+                $arrErr['stock'] = '※ 在庫数または在庫無制限フラグのいずれかの入力が必須です。';
             }
         }
@@ -687,18 +687,18 @@
                  and $item['product_type_id'] == PRODUCT_TYPE_NORMAL) {
             //実商品の場合
-            if ($item['down_filename'] != "") {
-                $arrErr['down_filename'] = "※ 実商品の場合はダウンロードファイル名は入力できません。";
-            }
-            if ($item['down_realfilename'] != "") {
-                $arrErr['down_realfilename'] = "※ 実商品の場合はダウンロード商品用ファイルアップロードは入力できません。";
+            if ($item['down_filename'] != '') {
+                $arrErr['down_filename'] = '※ 実商品の場合はダウンロードファイル名は入力できません。';
+            }
+            if ($item['down_realfilename'] != '') {
+                $arrErr['down_realfilename'] = '※ 実商品の場合はダウンロード商品用ファイルアップロードは入力できません。';
             }
         }elseif(array_search('product_type_id', $this->arrFormKeyList) !== FALSE
                 and $item['product_type_id'] == PRODUCT_TYPE_DOWNLOAD) {
             //ダウンロード商品の場合
-            if ($item['down_filename'] == "") {
-                $arrErr['down_filename'] = "※ ダウンロード商品の場合はダウンロードファイル名は必須です。";
-            }
-            if ($item['down_realfilename'] == "") {
-                $arrErr['down_realfilename'] = "※ ダウンロード商品の場合はダウンロード商品用ファイルアップロードは必須です。";
+            if ($item['down_filename'] == '') {
+                $arrErr['down_filename'] = '※ ダウンロード商品の場合はダウンロードファイル名は必須です。';
+            }
+            if ($item['down_realfilename'] == '') {
+                $arrErr['down_realfilename'] = '※ ダウンロード商品の場合はダウンロード商品用ファイルアップロードは必須です。';
             }
         }
@@ -716,8 +716,8 @@
      */
     function lfGetDbFormatTimeWithLine($line_no = '') {
-        $time = date("Y-m-d H:i:s");
+        $time = date('Y-m-d H:i:s');
         // 秒以下を生成
         if ($line_no != '') {
-            $microtime = sprintf("%06d", $line_no);
+            $microtime = sprintf('%06d', $line_no);
             $time .= ".$microtime";
         }
@@ -738,10 +738,10 @@
             return true;
         }
-        if ($item[$keyname] == "") {
+        if ($item[$keyname] == '') {
             return true;
         }
         $arrItems = explode($delimiter, $item[$keyname]);
         //空項目のチェック 1つでも空指定があったら不正とする。
-        if (array_search("", $arrItems) !== FALSE) {
+        if (array_search('', $arrItems) !== FALSE) {
             return false;
         }
@@ -769,14 +769,14 @@
             return true;
         }
-        if ($item[$keyname] == "") {
+        if ($item[$keyname] == '') {
             return true;
         }
         $arrItems = explode($delimiter, $item[$keyname]);
         //空項目のチェック 1つでも空指定があったら不正とする。
-        if (array_search("", $arrItems) !== FALSE) {
+        if (array_search('', $arrItems) !== FALSE) {
             return false;
         }
         $count = count($arrItems);
-        $where = $tblkey ." IN (" . implode(",", array_fill(0, $count, "?")) . ")";
+        $where = $tblkey .' IN (' . implode(',', array_fill(0, $count, "?")) . ")";
 
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -798,5 +798,5 @@
     function lfIsDbRecord($table, $keyname, $item) {
         if(array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
-                and $item[$keyname] != ""   // 空ではない
+                and $item[$keyname] != ''   // 空ではない
                 and !$this->objDb->sfIsRecord($table, $keyname, (array)$item[$keyname]) //DBに存在するか
                 ) {
@@ -816,5 +816,5 @@
     function lfIsArrayRecord($arr, $keyname, $item) {
         if(array_search($keyname, $this->arrFormKeyList) !== FALSE //入力対象である
-                and $item[$keyname] != "" // 空ではない
+                and $item[$keyname] != '' // 空ではない
                 and !array_key_exists($item[$keyname], $arr) //配列に存在するか
                 ) {
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 21490)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 21514)
@@ -147,14 +147,14 @@
         switch ($this->getMode()) {
         case 'search':
-            $objErr->doFunc(array("投稿者", 'search_startyear', 'search_startmonth', 'search_startday'), array('CHECK_DATE'));
-            $objErr->doFunc(array("開始日", 'search_startyear', 'search_startmonth', 'search_startday'), array('CHECK_DATE'));
-            $objErr->doFunc(array("終了日", 'search_endyear', 'search_endmonth', 'search_endday'), array('CHECK_DATE'));
-            $objErr->doFunc(array("開始日", "終了日", 'search_startyear', 'search_startmonth', 'search_startday', 'search_endyear', 'search_endmonth', 'search_endday'), array('CHECK_SET_TERM'));
+            $objErr->doFunc(array('投稿者', 'search_startyear', 'search_startmonth', 'search_startday'), array('CHECK_DATE'));
+            $objErr->doFunc(array('開始日', 'search_startyear', 'search_startmonth', 'search_startday'), array('CHECK_DATE'));
+            $objErr->doFunc(array('終了日', 'search_endyear', 'search_endmonth', 'search_endday'), array('CHECK_DATE'));
+            $objErr->doFunc(array('開始日', '終了日', 'search_startyear', 'search_startmonth', 'search_startday', 'search_endyear', 'search_endmonth', 'search_endday'), array('CHECK_SET_TERM'));
             break;
 
         case 'complete':
-            $objErr->doFunc(array("おすすめレベル", 'recommend_level'), array('SELECT_CHECK'));
-            $objErr->doFunc(array("タイトル", 'title', STEXT_LEN), array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
-            $objErr->doFunc(array("コメント", 'comment', LTEXT_LEN), array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
+            $objErr->doFunc(array('おすすめレベル', 'recommend_level'), array('SELECT_CHECK'));
+            $objErr->doFunc(array('タイトル', 'title', STEXT_LEN), array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
+            $objErr->doFunc(array('コメント', 'comment', LTEXT_LEN), array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
             break;
         }
@@ -171,5 +171,5 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $sqlval['del_flg'] = 1;
-        $objQuery->update('dtb_review', $sqlval, "review_id = ?", array($review_id));
+        $objQuery->update('dtb_review', $sqlval, 'review_id = ?', array($review_id));
     }
 
@@ -183,10 +183,10 @@
         $arrHidden = array();
         foreach ($arrForm AS $key=>$val) {
-            if (preg_match("/^search_/", $key)) {
+            if (preg_match('/^search_/', $key)) {
                 switch ($key) {
                 case 'search_sex':
                     $arrHidden[$key] = SC_Utils_Ex::sfMergeParamCheckBoxes($val);
                     if (!is_array($val)) {
-                        $arrForm[$key] = explode("-", $val);
+                        $arrForm[$key] = explode('-', $val);
                     }
                     break;
@@ -207,19 +207,19 @@
      */
     function lfInitParam(&$objFormParam) {
-        $objFormParam->addParam("投稿者名", 'search_reviewer_name', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("投稿者URL", 'search_reviewer_url', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("商品名", 'search_name', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("商品コード", 'search_product_code', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("性別", 'search_sex', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("おすすめレベル", 'search_recommend_level', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("投稿年", 'search_startyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
-        $objFormParam->addParam("投稿月", 'search_startmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
-        $objFormParam->addParam("投稿日", 'search_startday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
-        $objFormParam->addParam("投稿年", 'search_endyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
-        $objFormParam->addParam("投稿月", 'search_endmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
-        $objFormParam->addParam("投稿日", 'search_endday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
-        $objFormParam->addParam("最大表示件数", 'search_page_max', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("ページ番号件数", 'search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
-        $objFormParam->addParam("レビューID", 'review_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('投稿者名', 'search_reviewer_name', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('投稿者URL', 'search_reviewer_url', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('商品名', 'search_name', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('商品コード', 'search_product_code', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('性別', 'search_sex', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('おすすめレベル', 'search_recommend_level', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('投稿年', 'search_startyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
+        $objFormParam->addParam('投稿月', 'search_startmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
+        $objFormParam->addParam('投稿日', 'search_startday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
+        $objFormParam->addParam('投稿年', 'search_endyear', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
+        $objFormParam->addParam('投稿月', 'search_endmonth', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
+        $objFormParam->addParam('投稿日', 'search_endday', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'),"",false);
+        $objFormParam->addParam('最大表示件数', 'search_page_max', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('ページ番号件数', 'search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
+        $objFormParam->addParam('レビューID', 'review_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK'),"",false);
     }
 
@@ -233,8 +233,8 @@
     function lfDoOutputCsv($where, $arrVal) {
         $objCSV = new SC_Helper_CSV_Ex();
-        if ($where != "") {
-            $where = "WHERE " . $where;
-        }
-        $objCSV->sfDownloadCsv('4', $where, $arrVal, "", true);
+        if ($where != '') {
+            $where = 'WHERE ' . $where;
+        }
+        $objCSV->sfDownloadCsv('4', $where, $arrVal, '', true);
     }
 
@@ -247,5 +247,5 @@
     function lfGetWhere($arrForm) {
         //削除されていない商品を検索
-        $where = "A.del_flg = 0 AND B.del_flg = 0";
+        $where = 'A.del_flg = 0 AND B.del_flg = 0';
 
         foreach ($arrForm AS $key=>$val) {
@@ -254,43 +254,43 @@
             switch ($key) {
             case 'search_reviewer_name':
-                $val = preg_replace("/ /", "%", $val);
-                $where.= " AND reviewer_name LIKE ? ";
+                $val = preg_replace('/ /', '%', $val);
+                $where.= ' AND reviewer_name LIKE ? ';
                 $arrval[] = "%$val%";
                 break;
 
             case 'search_reviewer_url':
-                $val = preg_replace("/ /", "%", $val);
-                $where.= " AND reviewer_url LIKE ? ";
+                $val = preg_replace('/ /', '%', $val);
+                $where.= ' AND reviewer_url LIKE ? ';
                 $arrval[] = "%$val%";
                 break;
 
             case 'search_name':
-                $val = preg_replace("/ /", "%", $val);
-                $where.= " AND name LIKE ? ";
+                $val = preg_replace('/ /', '%', $val);
+                $where.= ' AND name LIKE ? ';
                 $arrval[] = "%$val%";
                 break;
 
             case 'search_product_code':
-                $val = preg_replace("/ /", "%", $val);
-                $where.= " AND A.product_id IN (SELECT product_id FROM dtb_products_class WHERE product_code LIKE ?)";
+                $val = preg_replace('/ /', '%', $val);
+                $where.= ' AND A.product_id IN (SELECT product_id FROM dtb_products_class WHERE product_code LIKE ?)';
                 $arrval[] = "%$val%";
                 break;
 
             case 'search_sex':
-                $tmp_where = "";
+                $tmp_where = '';
                 //$val=配列の中身,$element=各キーの値(1,2)
                 if (is_array($val)) {
                     foreach ($val as $element) {
-                        if ($element != "") {
-                            if ($tmp_where == "") {
-                                $tmp_where .= " AND (sex = ?";
+                        if ($element != '') {
+                            if ($tmp_where == '') {
+                                $tmp_where .= ' AND (sex = ?';
                             } else {
-                                $tmp_where .= " OR sex = ?";
+                                $tmp_where .= ' OR sex = ?';
                             }
                             $arrval[] = $element;
                         }
                     }
-                    if ($tmp_where != "") {
-                        $tmp_where .= ")";
+                    if ($tmp_where != '') {
+                        $tmp_where .= ')';
                         $where .= " $tmp_where ";
                     }
@@ -300,5 +300,5 @@
 
             case 'search_recommend_level':
-                $where.= " AND recommend_level = ? ";
+                $where.= ' AND recommend_level = ? ';
                 $arrval[] = $val;
                 break;
@@ -307,5 +307,5 @@
                 if (isset($_POST['search_startyear']) && isset($_POST['search_startmonth']) && isset($_POST['search_startday'])) {
                     $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_startyear'], $_POST['search_startmonth'], $_POST['search_startday']);
-                    $where.= " AND A.create_date >= ? ";
+                    $where.= ' AND A.create_date >= ? ';
                     $arrval[] = $date;
                 }
@@ -315,5 +315,5 @@
                 if (isset($_POST['search_startyear']) && isset($_POST['search_startmonth']) && isset($_POST['search_startday'])) {
                     $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_endyear'], $_POST['search_endmonth'], $_POST['search_endday']);
-                    $end_date = date("Y/m/d",strtotime("1 day" ,strtotime($date)));
+                    $end_date = date('Y/m/d',strtotime('1 day' ,strtotime($date)));
                     $where.= " AND A.create_date <= cast('$end_date' as date) ";
                 }
@@ -341,5 +341,5 @@
         if (!isset($arrval)) $arrval = array();
 
-        $from = "dtb_review AS A LEFT JOIN dtb_products AS B ON A.product_id = B.product_id ";
+        $from = 'dtb_review AS A LEFT JOIN dtb_products AS B ON A.product_id = B.product_id ';
         $linemax = $objQuery->count($from, $where, $arrval);
         $this->tpl_linemax = $linemax;
@@ -357,11 +357,11 @@
 
         // 表示順序
-        $order = "A.create_date DESC";
+        $order = 'A.create_date DESC';
         $objQuery->setOrder($order);
         //検索結果の取得
         //レビュー情報のカラムの取得
-        $col = "review_id, A.product_id, reviewer_name, sex, recommend_level, ";
-        $col .= "reviewer_url, title, comment, A.status, A.create_date, A.update_date, name";
-        $from = "dtb_review AS A LEFT JOIN dtb_products AS B ON A.product_id = B.product_id ";
+        $col = 'review_id, A.product_id, reviewer_name, sex, recommend_level, ';
+        $col .= 'reviewer_url, title, comment, A.status, A.create_date, A.update_date, name';
+        $from = 'dtb_review AS A LEFT JOIN dtb_products AS B ON A.product_id = B.product_id ';
         $arrReview = $objQuery->select($col, $from, $where, $arrval);
 
